<div class="pagination">
    <a class="prev-link" [routerLink]="[path]" [queryParams]="prevQuery">
        <img src="/assets/img/chevron-left.svg" alt="previous" />
    </a>
    <div *ngFor="let page of pages" [class]="page.isHiddenSection ? 'hidden-section' : 'page-link'">
        <a [routerLink]="[path]" [queryParams]="pageQuery(page.num)" *ngIf="!page.isHiddenSection">{{ page.num }}</a>
        <span *ngIf="page.isHiddenSection">...</span>
    </div>
    <a class="next-link" [routerLink]="[path]" [queryParams]="nextQuery">
        <img src="/assets/img/chevron-right.svg" alt="next" />
    </a>
</div>